%define name ivman
%define version 0.6.14
%define release %mkrel 8

Summary: A volume manager daemon
Name: %{name}
Version: %{version}
Release: %{release}
Source0: %{name}-%{version}.tar.bz2
Source1: ivman.init
Source2: ivman.xinit
Patch0: ivman-0.6.6-daemon.patch
Patch1: ivman-0.6.14-nodebug.patch
Patch2: ivman-0.6.14-fix-umount.patch
Patch3: ivman-0.6.14-manpage-system-service-not-needed.patch

License: QPL
Group: System/Base
Url: http://ivman.sourceforge.net/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: glib-devel
BuildRequires: hal-devel
BuildRequires: dbus-devel
BuildRequires: libxml2-devel
BuildRequires: glib2-devel
BuildRequires: pmount
BuildRequires: dbus-glib-devel
Requires(post): rpm-helper
Requires(preun): rpm-helper
Suggests: pmount

%description
Ivman is a volume manager daemon. It detects added volumes such as DVDs, CDs, 
and USB sticks / hard drives, mounts them if necessary and also starts 
programs to handle the added media (such as an audio CD player, or a video DVD
player). It can also monitor properties of hardware and execute commands when 
these properties change to a predefined value.

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1 -b .daemon
%patch1 -p1 -b .nodebug
%patch2 -p1 -b .umount
%patch3 -p1 -b .noinit

%build
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std

install -D -m755 %{SOURCE1} %{buildroot}%{_initrddir}/%{name}
install -D -m755 %{SOURCE2} %{buildroot}%{_sysconfdir}/X11/xinit.d/%{name}
%find_lang %{name}

%pre
%_pre_useradd ivman / /sbin/nologin
%_pre_groupadd daemon ivman

%post
%_post_service ivman

%preun
%_preun_service ivman

%clean
rm -rf %{buildroot}

%files -f %{name}.lang
%defattr(-,root,root)
%doc README
%{_bindir}/*
%{_mandir}/man?/*
%dir %{_sysconfdir}/%{name}
%config(noreplace) %{_sysconfdir}/%{name}/*
%{_initrddir}/%{name}
%{_sysconfdir}/X11/xinit.d/%{name}


%changelog
* Fri Dec 10 2010 Oden Eriksson <oeriksson@mandriva.com> 0.6.14-8mdv2011.0
+ Revision: 619687
- the mass rebuild of 2010.0 packages

* Fri Sep 04 2009 Thierry Vignaud <tv@mandriva.org> 0.6.14-7mdv2010.0
+ Revision: 429576
- rebuild

* Thu Aug 07 2008 Thierry Vignaud <tv@mandriva.org> 0.6.14-6mdv2009.0
+ Revision: 267169
- rebuild early 2009.0 package (before pixel changes)

* Sun May 11 2008 Andrey Borzenkov <arvidjaar@mandriva.org> 0.6.14-5mdv2009.0
+ Revision: 205570
- KDE session names are now KDE3 and KDE4; using KDE* seems to be safe

* Tue Jan 22 2008 Olivier Blin <oblin@mandriva.com> 0.6.14-4mdv2008.1
+ Revision: 156876
- run ivman from a xinit script (unless in KDE/GNOME/xfce4)

* Mon Jan 21 2008 Ademar de Souza Reis Jr <ademar@mandriva.com.br> 0.6.14-3mdv2008.1
+ Revision: 155903
- Added fix-umount.patch: fixes the umount when a device is disconnected;
- Added manpage-system-service-not-needed.patch: a system wide service is
  not needed to just use automount features, so make it clear on the
  manpage.
  + Added pmount as rpm-suggestion, since this package is far less useful
  without it;

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Aug 10 2007 Olivier Blin <oblin@mandriva.com> 0.6.14-2mdv2008.0
+ Revision: 61353
- do not start in debug mode by default

* Thu Apr 19 2007 Olivier Blin <oblin@mandriva.com> 0.6.14-1mdv2008.0
+ Revision: 15129
- bunzip2 initscript
- 0.6.14


* Wed Jan 03 2007 Nicolas Lécureuil <neoclust@mandriva.org> 0.6.13-3mdv2007.0
+ Revision: 103716
- Close ticket #27932

* Sat Dec 30 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.6.13-2mdv2007.1
+ Revision: 102857
- Fix BuildRequires
- Sync sources
- New version 0.6.13
- Import ivman

* Fri Aug 11 2006 Olivier Blin <blino@mandriva.com> 0.6.12-2mdv2007.0
- rebuild for new dbus

* Sun Jun 11 2006 Olivier Blin <oblin@mandriva.com> 0.6.12-1mdv2007.0
- New release 0.6.12

* Wed Apr 19 2006 Lenny Cartier <lenny@mandriva.com> 0.6.11-1mdk
- 0.6.11

* Sun Apr 16 2006 Couriousous <couriousous@mandriva.org> 0.6.10-1mdk
- 0.6.10

* Fri Jan 27 2006 Frederic Crozat <fcrozat@mandriva.com> 0.6.8-3mdk
- Rebuild with latest dbus

* Mon Jan 09 2006 Olivier Blin <oblin@mandriva.com> 0.6.8-2mdk
- mkrel
- fix requires post and preun
- fix typo in initscript

* Mon Jan 09 2006 Olivier Blin <oblin@mandriva.com> 0.6.8-1mdk
- New release 0.6.8
- convert parallel init to LSB

* Mon Jan 02 2006 Olivier Blin <oblin@mandriva.com> 0.6.7-3mdk
- fix parallel init support (hal service is named haldaemon)

* Mon Jan 02 2006 Olivier Blin <oblin@mandriva.com> 0.6.7-2mdk
- add parallel init support (requires hal)

* Sat Dec 17 2005 Olivier Blin <oblin@mandriva.com> 0.6.7-1mdk
- New release 0.6.7

* Wed Nov 23 2005 Olivier Blin <oblin@mandriva.com> 0.6.6-1mdk
- New release 0.6.6
- remove library package
- Patch0: use daemon group, we don't have the plugdev group
- add ivman user (#19770)

* Thu Oct 27 2005 Couriousous <couriousous@mandriva.org> 0.6.4-2mdk
- Enable pmount support

* Tue Jun 21 2005 Couriousous <couriousous@mandriva.org> 0.6.4-1mdk
- 0.6.4
- Temporary disable pmount support since it requires hal > 0.5

* Sun May 01 2005 Couriousous <couriousous@mandriva.org> 0.5-0.pre3.1mdk
- Pre3

* Wed Feb 09 2005 Couriousous <couriousous@mandrake.org> 0.5-0.pre2.1mdk
- Pre2

* Sun Jan 30 2005 Couriousous <couriousous@mandrake.org> 0.5-0.pre1.1mdk
- First Mandrakelinux release

